Page MenuHomePhabricator

[mips] Range check simm11 and mem_simm11.
ClosedPublic

Authored by dsanders on Mar 24 2016, 3:36 AM.

Details

Summary

ldc2/sdc2 now emit slightly worse diagnostics for MIPS-I. The problem
is that they don't trigger the custom parser because all the candidates
are disabled by feature bits. On all other subtargets, the diagnostics are
accurate but are subject to the usual issues of needing to report multiple
ways to correct the code (e.g. smaller offset, enable a CPU feature) but
only being able to report one error.

Depends on D18435

Diff Detail

Event Timeline

dsanders updated this revision to Diff 51530.Mar 24 2016, 3:36 AM
dsanders retitled this revision from to [mips] Range check simm11 and mem_simm11..
dsanders updated this object.
dsanders added a reviewer: vkalintiris.
dsanders added a subscriber: llvm-commits.
vkalintiris accepted this revision.Mar 30 2016, 2:35 PM
vkalintiris edited edge metadata.

LGTM, with a small change to fix a typo in the error message.

lib/Target/Mips/AsmParser/MipsAsmParser.cpp
3791

s/10/11/

This revision is now accepted and ready to land.Mar 30 2016, 2:35 PM
dsanders closed this revision.Mar 31 2016, 7:28 AM

Thanks. The typo was fixed in the commit.